Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.datatypes
Class FODimension

    java.lang.Object
      org.apache.fop.datatypes.FODimension

public class FODimension
extends java.lang.Object

This datatype hold a pair of resolved lengths, specifiying the dimensions in both inline and block-progression-directions.

Field Summary
`int` | `bpd` distance (in millipoints) on the block-progression-direction
`int` | `ipd` distance (in millipoints) on the inline-progression-direction

Constructor Summary
`FODimension(int ipd, int bpd)` Constructor

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ipd

    public int ipd

  distance (in millipoints) on the inline-progression-direction

### bpd

    public int bpd

  distance (in millipoints) on the block-progression-direction

Constructor Detail

### FODimension

    public FODimension(int ipd,
                       int bpd)

  Constructor

Parameters:
  `ipd` - length (in millipoints) of the inline-progression-direction
  `bpd` - length (in millipoints) of the block-progression-direction

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.